{
  "criteria": {
    "1": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "items": "minecraft:crossbow",
            "count": {
              "min": 1,
              "max": 64
            },
            "components": {
              "minecraft:charged_projectiles": [
                {
                  "id": "minecraft:firework_rocket",
                  "count": 1,
                  "components": {
                    "minecraft:intangible_projectile": {},
                    "minecraft:fireworks": {
                      "flight_duration": 2,
                      "explosions": []
                    }
                  }
                }
              ]
            }
          }
        ]
      }
    }
  },
  "rewards": {
        "function": "koncept.bingo:bingo/advancement/crossbow_firework"
  }
}
